// https://codepen.io/jordan314/post/flickering-stars-with-css-animations-js

//body {
//  background-color: #000;
//  background-image: url('https://i.imgur.com/9Mtl0zd.jpg');
//  background-repeat: repeat;
//  min-height: 5000px;
//}

@keyframes fa0 {
  0%   { opacity: 1; }
  50%  { opacity: 1; }
  51%  { opacity: 0; }
  52%  { opacity: 1; }
  100% { opacity: 1; }
}

.f0 {
    animation: fa1 10s infinite;
}

@keyframes fa1 {
  0%   { opacity: 1; }
  10%  { opacity: 1; }
  21%  { opacity: 0; }
  32%  { opacity: 1; }
  100% { opacity: 1; }
}

.f1 {
    animation: fa1 15s infinite;
}

@keyframes fa2 {
  0%   { opacity: .8; }
  75%  { opacity: .8; }
  85%  { opacity: .0; }
  95%  { opacity: .8; }
  100% { opacity: .8; }
}

.f2 {
    animation: fa2 5s infinite;
}

@keyframes fa3 {
  0%   { opacity: .4; }
  11%  { opacity: .4; }
  32%  { opacity: .0; }
  53%  { opacity: .4; }
  100% { opacity: .4; }
}

.f3 {
    animation: fa3 8s infinite;
}

@keyframes fa4 {
  0%   { opacity: .2; }
  50%  { opacity: .2; }
  61%  { opacity: .0; }
  72%  { opacity: .2; }
  100% { opacity: .2; }
}

.f4 {
    animation: fa4 10s infinite;
}

@keyframes fa5 {
  0%   { opacity: .6; }
  20%  { opacity: .6; }
  51%  { opacity: .0; }
  82%  { opacity: .6; }
  100% { opacity: .6; }
}

.f5 {
    animation: fa5 30s infinite;
}

@keyframes fa6 {
  0%   { opacity: .2; }
  50%  { opacity: .2; }
  51%  { opacity: .0; }
  52%  { opacity: .2; }
  100% { opacity: .2; }
}

.f6 {
  animation: fa6 40s infinite;
}

@keyframes fa7 {
  0%   { opacity: .5; }
  50%  { opacity: .5; }
  60%  { opacity: .0; }
  80%  { opacity: .5; }
  100% { opacity: .5; }
}

.f7 {
  animation: fa7 17s infinite;
}

@keyframes fa8 {
  0%   { opacity: .9; }
  20%  { opacity: .9; }
  51%  { opacity: .0; }
  82%  { opacity: .9; }
  100% { opacity: .9; }
}

.f8 {
  animation: fa8 10s infinite;
}

@keyframes fa9 {
  0%   { opacity: .1; }
  70%  { opacity: .1; }
  75%  { opacity: .0; }
  80%  { opacity: .1; }
  100% { opacity: .1; }
}

.f9 {
  animation: fa9 15s infinite;
}

//.star {
//    position: absolute;
//    background: #a7a9ac;
//    z-index: -1;
//}

@keyframes fa10 {
     0% { opacity: 1.0; }
    75% { opacity: 1.0; }
  77.5% { opacity: 0.2; }
    80% { opacity: 1.0; }
   100% { opacity: 1.0; }
}

.f10 {
  animation: fa10 10s infinite;
}
